This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 779869 - (SOA-2228) SOAPProxy Service with unreachable proxy URL causes server to hang
SOAPProxy Service with unreachable proxy URL causes server to hang
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 17:28 EDT by Kevin Conner
Modified: 2011-02-10 23:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-10 23:46:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2228 None Closed SOAPProxy Service with unreachable proxy URL causes server to hang 2012-06-14 07:43:47 EDT

  None (edit)
Description Kevin Conner 2010-08-11 17:28:58 EDT
project_key: SOA
Comment 1 Kevin Conner 2010-08-11 17:29:16 EDT
Link: Added: This issue depends JBESB-3458
Comment 2 Kevin Conner 2010-08-11 17:30:21 EDT
Link: Added: This issue is incorporated by SOA-2210
Comment 3 Laura Bailey 2010-12-16 19:34:29 EST
Writer: Added: dlesage
Comment 4 Laura Bailey 2010-12-16 19:38:32 EST
Release Notes Docs Status: Added: Not Yet Documented
Comment 6 David Le Sage 2011-02-10 23:43:52 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-02-10 23:46:05 EST
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/JBESB-3458

If a SOAPProxy Service' proxy URL was unreachable, the server would hang. A series of code fixes in the routing Java classes have rectified this problem so that the server no longer hangs in this situation.

Note You need to log in before you can comment on or make changes to this bug.